package cn.iocoder.yudao.module.sale.convert.channelPackaging;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.sale.vo.channelPackaging.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.channelPackaging.ChannelPackagingDO;

/**
 * 渠道清关费包装类型 Convert
 * @author yanghao
 */
@Mapper
public interface ChannelPackagingConvert {
    /*****转换MapStruct*****/
    ChannelPackagingConvert INSTANCE = Mappers.getMapper(ChannelPackagingConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ChannelPackagingDO convert(ChannelPackagingCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ChannelPackagingDO convert(ChannelPackagingUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ChannelPackagingBackVO convert(ChannelPackagingDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ChannelPackagingBackVO> convertList(List<ChannelPackagingDO> list);
    List<ChannelPackagingDO> convertList2(List<ChannelPackagingCreateReqVO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ChannelPackagingBackVO> convertPage(PageResult<ChannelPackagingDO> page);
}
