package cn.iocoder.yudao.module.sale.convert.deptTarget;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.sale.dto.MyAchievementDto;
import cn.iocoder.yudao.module.sale.dto.MyAchievementExportDto;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.sale.vo.deptTarget.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.deptTarget.DeptTargetDO;

/**
 * 部门业绩目标设置 Convert
 * @author 系统管理员
 */
@Mapper
public interface DeptTargetConvert {
    /*****转换MapStruct*****/
    DeptTargetConvert INSTANCE = Mappers.getMapper(DeptTargetConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    DeptTargetDO convert(DeptTargetCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    DeptTargetDO convert(DeptTargetUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    DeptTargetBackVO convert(DeptTargetDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<DeptTargetBackVO> convertList(List<DeptTargetDO> list);

    List<MyAchievementExportDto> convertExportList(List<MyAchievementDto> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<DeptTargetBackVO> convertPage(PageResult<DeptTargetDO> page);
}
