package cn.iocoder.yudao.module.sale.convert.offer;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.sale.vo.offer.log.OfferLogBackVO;
import cn.iocoder.yudao.module.sale.vo.offer.log.OfferLogCreateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.log.OfferLogUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferLogDO;

/**
 * 报价单跟进日志 Convert
 * @author 系统管理员
 */
@Mapper
public interface OfferLogConvert {
    /*****转换MapStruct*****/
    OfferLogConvert INSTANCE = Mappers.getMapper(OfferLogConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OfferLogDO convert(OfferLogCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OfferLogDO convert(OfferLogUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OfferLogBackVO convert(OfferLogDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OfferLogBackVO> convertList(List<OfferLogDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OfferLogBackVO> convertPage(PageResult<OfferLogDO> page);
}
