package cn.iocoder.yudao.module.sale.convert.offerApproval;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.sale.vo.offerApproval.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.offerApproval.OfferApprovalDO;

/**
 * 报价单审核详情 Convert
 * @author 系统管理员
 */
@Mapper
public interface OfferApprovalConvert {
    /*****转换MapStruct*****/
    OfferApprovalConvert INSTANCE = Mappers.getMapper(OfferApprovalConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OfferApprovalDO convert(OfferApprovalCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OfferApprovalDO convert(OfferApprovalUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OfferApprovalBackVO convert(OfferApprovalDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OfferApprovalBackVO> convertList(List<OfferApprovalDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OfferApprovalBackVO> convertPage(PageResult<OfferApprovalDO> page);
}
