package cn.iocoder.yudao.module.sale.dal.dataobject.channelPackaging;

import cn.iocoder.yudao.module.sale.dal.dataobject.channelPriceStepClearance.ChannelPriceStepClearanceDO;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 渠道清关费包装类型 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_channel_packaging")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ChannelPackagingDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 渠道ID
     */
    private Long channelId;
    /**
     * 包装类型 eg:1,2,3
     */
    private String packagingTypes;
    /**
     * 空运重量上限
     */
    private java.math.BigDecimal airWeightLimit;

    /**
     * 空运清关费阶梯价格列表
     */
    @TableField(exist = false)
    private List<ChannelPriceStepClearanceDO> channelPriceStepClearanceDOList;

}
