package cn.iocoder.yudao.module.sale.dal.dataobject.deptTarget;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 部门业绩目标设置 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_dept_target")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DeptTargetDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 目标类型
     */
    private Long targetType;
    /**
     * 目标周期名称
     */
    private String targetPeriodName;
    /**
     * 目标开始时间
     */
    private Date startTime;
    /**
     * 目标结束时间
     */
    private Date endTime;
    /**
     * 运输方式
     */
    private Long transportType;
    /**
     * 出货渠道
     */
    private Long shippingChannel;
    /**
     * 立方数
     */
    private Long cubeNum;
    /**
     * 单位
     */
    private Long cubeUnit;

}
