package cn.iocoder.yudao.module.sale.dal.dataobject.deptTarget;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class PersonalDeptTargetDO extends BaseDO {

    private String userName;

    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 目标类型
     */
    private Long targetType;

    /**
     * 目标开始时间
     */
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date startTime;
    /**
     * 目标结束时间
     */
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date endTime;
    /**
     * 个人目标立方数
     */
    private BigDecimal personalCubeNum;

    private BigDecimal personalCompleteCubeNum;
}
