package cn.iocoder.yudao.module.sale.dal.dataobject.offer;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 报价单跟进日志 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_offer_log")
@ToString(callSuper = true)
public class OfferLogDO {

    /**
     * 主键ID
     */
    @TableId
    private Long offerLogId;
    /**
     * 报价单ID
     */
    private Long offerId;
    /**
     * 报价单号
     */
    private String number;
    /**
     * 跟进类型：1 操作日志 2 商务洽谈
     */
    private Integer type;

    @ApiModelProperty(value = "客户ID")
    private Long customerId;
    /**
     * 跟进时间
     */
    private Date followUpTime;
    /**
     * 跟进业务员
     */
    private String followUpSalesmanId;
    /**
     * 联系方式
     */
    private String contacts;
    /**
     * 跟进方式(1：新建报价 2 修改报价 3特价申请 4电话 5网络 6报价结束 )
     */
    private Integer followUpMethod;
    /**
     * 客户反馈
     */
    private String customerFeedback;
    /**
     * 处理结果
     */
    private String processingResults;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 创建者，目前使用 SysUser 的 id 编号
     *
     * 使用 String 类型的原因是，未来可能会存在非数值的情况，留好拓展性。
     */
    @TableField(fill = FieldFill.INSERT)
    private String creator;

    @ApiModelProperty(value = "跟进业务员名称")
    @TableField(exist = false)
    private String followUpSalesmanName;

    @ApiModelProperty(value = "联系人姓名")
    @TableField(exist = false)
    private String contactName;

}
