package cn.iocoder.yudao.module.sale.dal.dataobject.offer;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import com.baomidou.mybatisplus.annotation.*;

/**
 * 报价单运输方式 DO
 *
 * @author 系统管理员
 */
@TableName("ecw_offer_transport")
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OfferTransportDO {

    /**
     * 主键ID
     */
    @TableId
    private Long offerTransportId;
    /**
     * 报价单ID
     */
    private Long offerId;
    /**
     * 运输id
     */
    private Integer transportId;
    /**
     * 线路ids(多个线路ID逗号拼接)
     */
    private String lineIds;
    /**
     * 渠道ids(多个渠道ID逗号拼接)
     */
    private String channelIds;
    /**
     * 是否双清：1 客户自清 2 我司双清
     */
    private Integer doubleClear;
    /**
     * 航空公司id
     */
    private Long airlineCompany;
    /**
     * 船公司
     */
    private Long shippingCompany;
    /**
     * 清关证书：0 否 1 是
     */
    private Boolean customsClearCert;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 出单方式：1 电放 2 正本
     */
    private Integer issuingMethod;
    /**
     * 是否拆包：0 否 1 是
     */
    private Boolean isUnpack;
    /**
     * 是否单票立刻转运：0 否 1 是
     */
    private Boolean isSingleTicketTransport;
    /**
     * 包装类型ids
     */
    private String packageType;
    /**
     * 包装备注
     */
    private String packageRemarks;

}
