package cn.iocoder.yudao.module.sale.dal.dataobject.offerApproval;

import lombok.*;

import java.util.*;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 报价单审核详情 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_offer_approval")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OfferApprovalDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long offerApprovalId;
    /**
     * 报价单ID
     */
    private Long offerId;
    /**
     * 报价商品ID
     */
    private Long offerProdId;
    /**
     * 流程表单实例ID
     */
    private String formId;
    /**
     * 类型：1 特价优惠 2 佣金申请
     */
    private Integer type;
    /**
     * 跟进业务员
     */
    private String followUpSalesmanId;
    /**
     * 审核内容详情
     */
    private String details;
    /**
     * 状态：1 处理中 2 通过 3 不通过 4 取消
     */
    private Integer status;
    /**
     * 处理结果
     */
    private String processingResults;
    /**
     * 结束人
     */
    private String finishBy;
    /**
     * 结束时间
     */
    private Date finishTime;

}
