package cn.iocoder.yudao.module.sale.dal.mysql.channelPackaging;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.sale.dal.dataobject.channelPackaging.ChannelPackagingDO;
import cn.iocoder.yudao.module.sale.vo.channelPackaging.ChannelPackagingQueryVO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
 * 渠道清关费包装类型 Mapper
 *
 * @author yanghao
 */
@Mapper
public interface ChannelPackagingMapper extends AbstractMapper<ChannelPackagingDO> {



    @Delete("delete from ecw_channel_packaging where channel_id = #{channelId}")
    void physicsDelete(@Param("channelId") Long channelId);

    Integer insertBatchSomeColumn(Collection<ChannelPackagingDO> entityList);


    @Override
    default PageResult<ChannelPackagingDO> selectPage(PageVO page, Object object) {
        if (object instanceof ChannelPackagingQueryVO) {
            ChannelPackagingQueryVO vo = (ChannelPackagingQueryVO) object;
            return selectPage(page, new LambdaQuery<ChannelPackagingDO>()
                    .eqIfPresent(ChannelPackagingDO::getChannelId, vo.getChannelId())
                    .eqIfPresent(ChannelPackagingDO::getPackagingTypes, vo.getPackagingTypes())
                    .eqIfPresent(ChannelPackagingDO::getAirWeightLimit, vo.getAirWeightLimit())
                    .betweenIfPresent(ChannelPackagingDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ChannelPackagingDO::getId));
        }

        return null;
    }

    @Override
    default List<ChannelPackagingDO> selectList(Object object) {
        if (object instanceof ChannelPackagingQueryVO) {
            ChannelPackagingQueryVO vo = (ChannelPackagingQueryVO) object;
            return selectList(new LambdaQuery<ChannelPackagingDO>()
                    .eqIfPresent(ChannelPackagingDO::getChannelId, vo.getChannelId())
                    .eqIfPresent(ChannelPackagingDO::getPackagingTypes, vo.getPackagingTypes())
                    .eqIfPresent(ChannelPackagingDO::getAirWeightLimit, vo.getAirWeightLimit())
                    .betweenIfPresent(ChannelPackagingDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ChannelPackagingDO::getId));
        }

        return null;
    }

}
