package cn.iocoder.yudao.module.sale.dal.mysql.channelPriceStepClearance;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.product.dal.dataobject.product.ProductPriceSpecialDO;
import cn.iocoder.yudao.module.sale.dal.dataobject.channelPriceStepClearance.ChannelPriceStepClearanceDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance.*;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 渠道清关费阶梯价格 Mapper
 * @author yanghao
 */
@Mapper
public interface ChannelPriceStepClearanceMapper extends AbstractMapper<ChannelPriceStepClearanceDO> {

    @Delete("delete from ecw_channel_price_step_clearance where channel_id = #{channelId}")
    void physicsDelete(@Param("channelId") Long channelId);

    Integer insertBatchSomeColumn(Collection<ChannelPriceStepClearanceDO> entityList);

    @Override
    default PageResult<ChannelPriceStepClearanceDO> selectPage(PageVO page, Object object) {
        if (object instanceof ChannelPriceStepClearanceQueryVO) {
            ChannelPriceStepClearanceQueryVO vo = (ChannelPriceStepClearanceQueryVO)object;
            return selectPage(page, new LambdaQuery<ChannelPriceStepClearanceDO>()
                .eqIfPresent(ChannelPriceStepClearanceDO::getChannelId, vo.getChannelId())
                .eqIfPresent(ChannelPriceStepClearanceDO::getPackagingId, vo.getPackagingId())
                .eqIfPresent(ChannelPriceStepClearanceDO::getStartNum, vo.getStartNum())
                .eqIfPresent(ChannelPriceStepClearanceDO::getEndNum, vo.getEndNum())
                .eqIfPresent(ChannelPriceStepClearanceDO::getWeightUnit, vo.getWeightUnit())
                .eqIfPresent(ChannelPriceStepClearanceDO::getClearancePrice, vo.getClearancePrice())
                .eqIfPresent(ChannelPriceStepClearanceDO::getClearancePriceUnit, vo.getClearancePriceUnit())
                .eqIfPresent(ChannelPriceStepClearanceDO::getClearanceVolumeUnit, vo.getClearanceVolumeUnit())
                .betweenIfPresent(ChannelPriceStepClearanceDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ChannelPriceStepClearanceDO::getId));
        }

        return null;
    }

    @Override
    default List<ChannelPriceStepClearanceDO> selectList(Object object) {
        if (object instanceof ChannelPriceStepClearanceQueryVO) {
            ChannelPriceStepClearanceQueryVO vo = (ChannelPriceStepClearanceQueryVO)object;
            return selectList(new LambdaQuery<ChannelPriceStepClearanceDO>()
                .eqIfPresent(ChannelPriceStepClearanceDO::getPackagingId, vo.getPackagingId())
                .eqIfPresent(ChannelPriceStepClearanceDO::getStartNum, vo.getStartNum())
                .eqIfPresent(ChannelPriceStepClearanceDO::getEndNum, vo.getEndNum())
                .eqIfPresent(ChannelPriceStepClearanceDO::getWeightUnit, vo.getWeightUnit())
                .eqIfPresent(ChannelPriceStepClearanceDO::getClearancePrice, vo.getClearancePrice())
                .eqIfPresent(ChannelPriceStepClearanceDO::getClearancePriceUnit, vo.getClearancePriceUnit())
                .eqIfPresent(ChannelPriceStepClearanceDO::getClearanceVolumeUnit, vo.getClearanceVolumeUnit())
                .betweenIfPresent(ChannelPriceStepClearanceDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .orderByDesc(ChannelPriceStepClearanceDO::getId));
        }

        return null;
    }
}
