package cn.iocoder.yudao.module.sale.dal.mysql.offer;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdExportReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdPageReqVO;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferProdDO;
import cn.iocoder.yudao.module.sale.vo.offerApproval.OfferApprovalBackInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

/**
 * 报价商品详情 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface OfferProdMapper extends BaseMapperX<OfferProdDO> {

    default PageResult<OfferProdDO> selectPage(OfferProdPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OfferProdDO>()
                .eqIfPresent(OfferProdDO::getOfferId, reqVO.getOfferId())
                .eqIfPresent(OfferProdDO::getProdId, reqVO.getProdId())
                .eqIfPresent(OfferProdDO::getLineId, reqVO.getLineId())
                .eqIfPresent(OfferProdDO::getChannelId, reqVO.getChannelId())
                .eqIfPresent(OfferProdDO::getProductType, reqVO.getProductType())
                .eqIfPresent(OfferProdDO::getBrand, reqVO.getBrand())
                .eqIfPresent(OfferProdDO::getNum, reqVO.getNum())
                .eqIfPresent(OfferProdDO::getUnit, reqVO.getUnit())
                .eqIfPresent(OfferProdDO::getBoxGauge, reqVO.getBoxGauge())
                .eqIfPresent(OfferProdDO::getVolume, reqVO.getVolume())
                .eqIfPresent(OfferProdDO::getWeight, reqVO.getWeight())
                .eqIfPresent(OfferProdDO::getWorth, reqVO.getWorth())
                .eqIfPresent(OfferProdDO::getWorthCurrency, reqVO.getWorthCurrency())
                .eqIfPresent(OfferProdDO::getProdAttrIds, reqVO.getProdAttrIds())
                .eqIfPresent(OfferProdDO::getSeaFreight, reqVO.getSeaFreight())
                .eqIfPresent(OfferProdDO::getOriginalSeaFreight, reqVO.getOriginalSeaFreight())
                .eqIfPresent(OfferProdDO::getSeaFreightCurrency, reqVO.getSeaFreightCurrency())
                .eqIfPresent(OfferProdDO::getSeaFreightVolume, reqVO.getSeaFreightVolume())
                .eqIfPresent(OfferProdDO::getClearanceFreight, reqVO.getClearanceFreight())
                .eqIfPresent(OfferProdDO::getOriginalClearanceFreight, reqVO.getOriginalClearanceFreight())
                .eqIfPresent(OfferProdDO::getClearanceFreightCurrency, reqVO.getClearanceFreightCurrency())
                .eqIfPresent(OfferProdDO::getClearanceFreightVolume, reqVO.getClearanceFreightVolume())
                .eqIfPresent(OfferProdDO::getEstimatedSales, reqVO.getEstimatedSales())
                .eqIfPresent(OfferProdDO::getIsPayAdvance, reqVO.getIsPayAdvance())
                .eqIfPresent(OfferProdDO::getQuantity, reqVO.getQuantity())
                .eqIfPresent(OfferProdDO::getCharging, reqVO.getCharging())
                .eqIfPresent(OfferProdDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(OfferProdDO::getStartTime, reqVO.getBeginStartTime(), reqVO.getEndStartTime())
                .betweenIfPresent(OfferProdDO::getEndTime, reqVO.getBeginEndTime(), reqVO.getEndEndTime())
                .betweenIfPresent(OfferProdDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(OfferProdDO::getOfferProdId));
    }

    default List<OfferProdDO> selectList(OfferProdExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<OfferProdDO>()
                .eqIfPresent(OfferProdDO::getOfferId, reqVO.getOfferId())
                .eqIfPresent(OfferProdDO::getProdId, reqVO.getProdId())
                .eqIfPresent(OfferProdDO::getLineId, reqVO.getLineId())
                .eqIfPresent(OfferProdDO::getChannelId, reqVO.getChannelId())
                .eqIfPresent(OfferProdDO::getProductType, reqVO.getProductType())
                .eqIfPresent(OfferProdDO::getBrand, reqVO.getBrand())
                .eqIfPresent(OfferProdDO::getNum, reqVO.getNum())
                .eqIfPresent(OfferProdDO::getUnit, reqVO.getUnit())
                .eqIfPresent(OfferProdDO::getBoxGauge, reqVO.getBoxGauge())
                .eqIfPresent(OfferProdDO::getVolume, reqVO.getVolume())
                .eqIfPresent(OfferProdDO::getWeight, reqVO.getWeight())
                .eqIfPresent(OfferProdDO::getWorth, reqVO.getWorth())
                .eqIfPresent(OfferProdDO::getWorthCurrency, reqVO.getWorthCurrency())
                .eqIfPresent(OfferProdDO::getProdAttrIds, reqVO.getProdAttrIds())
                .eqIfPresent(OfferProdDO::getSeaFreight, reqVO.getSeaFreight())
                .eqIfPresent(OfferProdDO::getOriginalSeaFreight, reqVO.getOriginalSeaFreight())
                .eqIfPresent(OfferProdDO::getSeaFreightCurrency, reqVO.getSeaFreightCurrency())
                .eqIfPresent(OfferProdDO::getSeaFreightVolume, reqVO.getSeaFreightVolume())
                .eqIfPresent(OfferProdDO::getClearanceFreight, reqVO.getClearanceFreight())
                .eqIfPresent(OfferProdDO::getOriginalClearanceFreight, reqVO.getOriginalClearanceFreight())
                .eqIfPresent(OfferProdDO::getClearanceFreightCurrency, reqVO.getClearanceFreightCurrency())
                .eqIfPresent(OfferProdDO::getClearanceFreightVolume, reqVO.getClearanceFreightVolume())
                .eqIfPresent(OfferProdDO::getEstimatedSales, reqVO.getEstimatedSales())
                .eqIfPresent(OfferProdDO::getIsPayAdvance, reqVO.getIsPayAdvance())
                .eqIfPresent(OfferProdDO::getQuantity, reqVO.getQuantity())
                .eqIfPresent(OfferProdDO::getCharging, reqVO.getCharging())
                .eqIfPresent(OfferProdDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(OfferProdDO::getStartTime, reqVO.getBeginStartTime(), reqVO.getEndStartTime())
                .betweenIfPresent(OfferProdDO::getEndTime, reqVO.getBeginEndTime(), reqVO.getEndEndTime())
                .betweenIfPresent(OfferProdDO::getCreateTime, reqVO.getBeginCreateTime(), reqVO.getEndCreateTime())
                .orderByDesc(OfferProdDO::getOfferProdId));
    }

    @ResultType(Long.class)
    @Select("SELECT offer_prod_id FROM ecw_offer_prod WHERE offer_id = #{offerId}")
    List<Long> selectIdByOfferId(Long offerId);

    @ResultType(OfferApprovalBackInfoVO.class)
    @Select({
            "<script>",
            "SELECT ",
            "p.offer_prod_id, ",
            "p.offer_id, ",
            "o.departure_id, ",
            "if(#{lang} = 0, o.departure ->> '$.titleZh', o.departure ->> '$.titleEn') as departure_name, ",
            "o.objective_id, ",
            "if(#{lang} = 0, o.objective ->> '$.titleZh', o.objective ->> '$.titleEn') as objective_name, ",
            "p.prod_id, ",
            "p.prod_title_zh, ",
            "p.prod_title_en, ",
            "p.transport_id, ",
            "p.line_id, ",
            "p.channel_id, ",
            "p.product_type, ",
            "p.quantity, ",
            "p.charging, ",
            "p.original_sea_freight as org_sea_freight, ",
            "p.sea_freight as subtotal_freight, ",
            "p.one_sea_freight as sea_freight, ",
            "p.sea_freight_currency , ",
            "p.sea_freight_volume , ",
            "p.original_clearance_freight as org_clearance_freight, ",
            "p.one_clearance_freight as clearance_freight, ",
            "p.clearance_freight as subtotal_clearance_Freight, ",
            "p.clearance_freight_currency , ",
            "p.clearance_freight_volume , ",
            "p.commission_type as org_commission_type, ",
            "p.commission_type as commission_type, ",
            "p.hidden_commission as org_shade_commission_amount, ",
            "p.hidden_commission as shade_commission_amount, ",
            "p.plain_commission as org_light_commission_amount, ",
            "p.plain_commission as light_commission_amount, ",
            "p.is_pay_advance ",
            "FROM ecw_offer_prod p ",
            "JOIN ecw_offer o ",
            "ON p.offer_id = o.offer_id ",
            "WHERE p.offer_prod_id = #{offerProdId}",
            "</script>"
    })
    OfferApprovalBackInfoVO getOfferProdApprovalInfo(@Param("offerProdId") Long offerProdId, @Param("lang") Integer lang);
}

