package cn.iocoder.yudao.module.sale.dal.mysql.offer;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportExportReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportPageReqVO;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferTransportDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

/**
 * 报价单运输方式 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface OfferTransportMapper extends BaseMapperX<OfferTransportDO> {

    default PageResult<OfferTransportDO> selectPage(OfferTransportPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<OfferTransportDO>()
                .eqIfPresent(OfferTransportDO::getOfferId, reqVO.getOfferId())
                .eqIfPresent(OfferTransportDO::getTransportId, reqVO.getTransportId())
                .eqIfPresent(OfferTransportDO::getLineIds, reqVO.getLineIds())
                .eqIfPresent(OfferTransportDO::getChannelIds, reqVO.getChannelIds())
                .eqIfPresent(OfferTransportDO::getDoubleClear, reqVO.getDoubleClear())
                .eqIfPresent(OfferTransportDO::getAirlineCompany, reqVO.getAirlineCompany())
                .eqIfPresent(OfferTransportDO::getShippingCompany, reqVO.getShippingCompany())
                .eqIfPresent(OfferTransportDO::getCustomsClearCert, reqVO.getCustomsClearCert())
                .eqIfPresent(OfferTransportDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(OfferTransportDO::getIssuingMethod, reqVO.getIssuingMethod())
                .eqIfPresent(OfferTransportDO::getIsUnpack, reqVO.getIsUnpack())
                .eqIfPresent(OfferTransportDO::getIsSingleTicketTransport, reqVO.getIsSingleTicketTransport())
                .eqIfPresent(OfferTransportDO::getPackageType, reqVO.getPackageType())
                .eqIfPresent(OfferTransportDO::getPackageRemarks, reqVO.getPackageRemarks())
                .orderByDesc(OfferTransportDO::getOfferTransportId));
    }

    default List<OfferTransportDO> selectList(OfferTransportExportReqVO reqVO) {
        return selectList(new LambdaQueryWrapperX<OfferTransportDO>()
                .eqIfPresent(OfferTransportDO::getOfferId, reqVO.getOfferId())
                .eqIfPresent(OfferTransportDO::getTransportId, reqVO.getTransportId())
                .eqIfPresent(OfferTransportDO::getLineIds, reqVO.getLineIds())
                .eqIfPresent(OfferTransportDO::getChannelIds, reqVO.getChannelIds())
                .eqIfPresent(OfferTransportDO::getDoubleClear, reqVO.getDoubleClear())
                .eqIfPresent(OfferTransportDO::getAirlineCompany, reqVO.getAirlineCompany())
                .eqIfPresent(OfferTransportDO::getShippingCompany, reqVO.getShippingCompany())
                .eqIfPresent(OfferTransportDO::getCustomsClearCert, reqVO.getCustomsClearCert())
                .eqIfPresent(OfferTransportDO::getRemarks, reqVO.getRemarks())
                .eqIfPresent(OfferTransportDO::getIssuingMethod, reqVO.getIssuingMethod())
                .eqIfPresent(OfferTransportDO::getIsUnpack, reqVO.getIsUnpack())
                .eqIfPresent(OfferTransportDO::getIsSingleTicketTransport, reqVO.getIsSingleTicketTransport())
                .eqIfPresent(OfferTransportDO::getPackageType, reqVO.getPackageType())
                .eqIfPresent(OfferTransportDO::getPackageRemarks, reqVO.getPackageRemarks())
                .orderByDesc(OfferTransportDO::getOfferTransportId));
    }

    @ResultType(Long.class)
    @Select({"SELECT offer_transport_id FROM ecw_offer_transport WHERE offer_id = #{offerId}"})
    List<Long> selectIdByOfferId(Long offerId);
}
