package cn.iocoder.yudao.module.sale.dal.mysql.offerApproval;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQuery;
import cn.iocoder.yudao.framework.mybatis.core.mapper.AbstractMapper;
import cn.iocoder.yudao.module.sale.dal.dataobject.offerApproval.OfferApprovalDO;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.sale.vo.offerApproval.*;

/**
 * 报价单审核详情 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface OfferApprovalMapper extends AbstractMapper<OfferApprovalDO> {
    @Override
    default PageResult<OfferApprovalDO> selectPage(PageVO page, Object object) {
        if (object instanceof OfferApprovalQueryVO) {
            OfferApprovalQueryVO vo = (OfferApprovalQueryVO) object;
            return selectPage(page, new LambdaQuery<OfferApprovalDO>()
                    .eqIfPresent(OfferApprovalDO::getOfferId, vo.getOfferId())
                    .eqIfPresent(OfferApprovalDO::getOfferProdId, vo.getOfferProdId())
                    .eqIfPresent(OfferApprovalDO::getFormId, vo.getFormId())
                    .eqIfPresent(OfferApprovalDO::getType, vo.getType())
                    .eqIfPresent(OfferApprovalDO::getFollowUpSalesmanId, vo.getFollowUpSalesmanId())
                    .eqIfPresent(OfferApprovalDO::getDetails, vo.getDetails())
                    .eqIfPresent(OfferApprovalDO::getStatus, vo.getStatus())
                    .eqIfPresent(OfferApprovalDO::getProcessingResults, vo.getProcessingResults())
                    .betweenIfPresent(OfferApprovalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .eqIfPresent(OfferApprovalDO::getFinishBy, vo.getFinishBy())
                    .betweenIfPresent(OfferApprovalDO::getFinishTime, vo.getBeginFinishTime(), vo.getEndFinishTime())
                    .orderByDesc(OfferApprovalDO::getOfferApprovalId));
        }

        return null;
    }

    @Override
    default List<OfferApprovalDO> selectList(Object object) {
        if (object instanceof OfferApprovalQueryVO) {
            OfferApprovalQueryVO vo = (OfferApprovalQueryVO) object;
            return selectList(new LambdaQuery<OfferApprovalDO>()
                    .eqIfPresent(OfferApprovalDO::getOfferId, vo.getOfferId())
                    .eqIfPresent(OfferApprovalDO::getOfferProdId, vo.getOfferProdId())
                    .eqIfPresent(OfferApprovalDO::getFormId, vo.getFormId())
                    .eqIfPresent(OfferApprovalDO::getType, vo.getType())
                    .eqIfPresent(OfferApprovalDO::getFollowUpSalesmanId, vo.getFollowUpSalesmanId())
                    .eqIfPresent(OfferApprovalDO::getDetails, vo.getDetails())
                    .eqIfPresent(OfferApprovalDO::getStatus, vo.getStatus())
                    .eqIfPresent(OfferApprovalDO::getProcessingResults, vo.getProcessingResults())
                    .betweenIfPresent(OfferApprovalDO::getCreateTime, vo.getBeginCreateTime(), vo.getEndCreateTime())
                    .eqIfPresent(OfferApprovalDO::getFinishBy, vo.getFinishBy())
                    .betweenIfPresent(OfferApprovalDO::getFinishTime, vo.getBeginFinishTime(), vo.getEndFinishTime())
                    .orderByDesc(OfferApprovalDO::getOfferApprovalId));
        }

        return null;
    }
}
