package cn.iocoder.yudao.module.sale.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class MyAchievementExportDto {

    @ExcelProperty(value = "资源类型")
    private String customerTypeName;

    @ApiModelProperty(value = "报价单号")
    @ExcelProperty(value = "报价单号")
    private String number;

    @ApiModelProperty(value = "订单编号")
    @ExcelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "客户名称")
    @ExcelProperty(value = "客户名称")
    private String name;

    @ApiModelProperty(value = "联系电话")
    @ExcelProperty(value = "联系电话")
    private String phoneNew;

    @ApiModelProperty(value = "唛头")
    @ExcelProperty(value = "唛头")
    private String marks;


    @ApiModelProperty(value = "订单状态")
    @ExcelProperty(value = "订单状态")
    private String orderStatus;

    @ApiModelProperty(value = "是否控货")
    @ExcelProperty(value = "是否控货")
    private String cargoControl;

    @ApiModelProperty(value = "箱数")
    @ExcelProperty(value = "箱数")
    private Integer sumNum;

    @ApiModelProperty(value = "方数")
    @ExcelProperty(value = "方数")
    private BigDecimal completeVolume;

    @ApiModelProperty(value = "重量")
    @ExcelProperty(value = "重量")
    private BigDecimal completeWeight;

    @ApiModelProperty(value = "下单时间")
    @ExcelProperty(value = "下单时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date createTime;

    @ApiModelProperty(value = "装柜时间")
    @ExcelProperty(value = "装柜时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date ldBoxTime;

    @ApiModelProperty(value = "客户经理名称")
    @ExcelProperty(value = "客户经理")
    private String userName;
}
