package cn.iocoder.yudao.module.sale.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import cn.iocoder.yudao.framework.i18n.core.I18nMessage;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@AllArgsConstructor
@Getter
public enum OfferStatusEnum implements IntArrayValuable {

    cancel(0, "取消报价", "cancel offer"),
    special_approval_progress (1, "特价审批中", "Special price approval in progress"),
    draft(2, "草稿", "draft"),
    demand_confirm(3, "需求确认", "Demand confirmation"),
    win(4, "赢单", "Win"),
    order_input(5, "输单", "Order input"),
    offer_finish(6, "报价完成", "Quotation completion"),
    ;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(OfferStatusEnum::getStatus).toArray();

    private final Integer status;
    private final String nameZh;
    private final String nameEn;


    public static String valueOf(Integer status) {
        OfferStatusEnum offerStatusEnum = ArrayUtil.firstMatch(statusEnum -> statusEnum.getStatus().equals(status), OfferStatusEnum.values());
        return I18nMessage.getLang() == 0 ? offerStatusEnum.nameZh : offerStatusEnum.nameEn;
    }



    @Override
    public int[] array() {
        return ARRAYS;
    }
}
