package cn.iocoder.yudao.module.sale.service.channelPriceStepClearance;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.channelPriceStepClearance.ChannelPriceStepClearanceDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 渠道清关费阶梯价格 Service 接口
 *
 * @author yanghao
 */
public interface ChannelPriceStepClearanceService extends IService<ChannelPriceStepClearanceDO> {

    /**
     * 创建渠道清关费阶梯价格
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createChannelPriceStepClearance(@Valid ChannelPriceStepClearanceCreateReqVO createReqVO);

    /**
     * 更新渠道清关费阶梯价格
     * @param updateReqVO 更新信息
     */
    void updateChannelPriceStepClearance(@Valid ChannelPriceStepClearanceUpdateReqVO updateReqVO);

    /**
     * 删除渠道清关费阶梯价格
     * @param id 编号
     */
    void deleteChannelPriceStepClearance(Long id);

    /**
     * 获得渠道清关费阶梯价格
     * @param id 编号
     * @return 渠道清关费阶梯价格
     */
    ChannelPriceStepClearanceDO getChannelPriceStepClearance(Long id);

    /**
     * 获得渠道清关费阶梯价格列表
     * @param ids 编号
     * @return 渠道清关费阶梯价格列表
     */
    List<ChannelPriceStepClearanceDO> getChannelPriceStepClearanceList(Collection<Long> ids);

    /**
     * 获得渠道清关费阶梯价格分页
     * @param page 分页查询
     * @param query 查询
     * @return 渠道清关费阶梯价格分页
     */
    PageResult<ChannelPriceStepClearanceDO> getChannelPriceStepClearancePage(ChannelPriceStepClearanceQueryVO query, PageVO page);

    /**
     * 获得渠道清关费阶梯价格列表, 用于 Excel 导出
     * @param query 查询
     * @return 渠道清关费阶梯价格列表
     */
    List<ChannelPriceStepClearanceDO> getChannelPriceStepClearanceList(ChannelPriceStepClearanceQueryVO query);

    List<ChannelPriceStepClearanceDO> getChannelPriceStepClearanceList(Long packagingId);
}
