package cn.iocoder.yudao.module.sale.service.offer;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.sale.vo.offer.log.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferLogDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 报价单跟进日志 Service 接口
 *
 * @author 系统管理员
 */
public interface OfferLogService extends IService<OfferLogDO> {

    /**
     * 创建报价单跟进日志
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOfferLog(@Valid OfferLogCreateReqVO createReqVO);

    /**
     * 更新报价单跟进日志
     * @param updateReqVO 更新信息
     */
    void updateOfferLog(@Valid OfferLogUpdateReqVO updateReqVO);

    /**
     * 删除报价单跟进日志
     * @param id 编号
     */
    void deleteOfferLog(Long id);

    /**
     * 获得报价单跟进日志
     * @param id 编号
     * @return 报价单跟进日志
     */
    OfferLogDO getOfferLog(Long id);

    /**
     * 获得报价单跟进日志列表
     * @param offerId 报价单ID
     * @return 报价单跟进日志列表
     */
    List<OfferLogBackVO> getOfferLogListByOfferId(Long offerId);

    /**
     * 获得报价单跟进日志分页
     * @param page 分页查询
     * @param query 查询
     * @return 报价单跟进日志分页
     */
    PageResult<OfferLogBackVO> getOfferLogPage(OfferLogQueryVO query, PageVO page);

    /**
     * 获得报价单跟进日志列表, 用于 Excel 导出
     * @param query 查询
     * @return 报价单跟进日志列表
     */
    List<OfferLogDO> getOfferLogList(OfferLogQueryVO query);

    PageResult<OfferLogBackVO> getCustomerOfferLogPage(OfferLogQueryVO query, PageVO page);

    OfferLogBackVO getCustomerFollow(Long id);
}
