package cn.iocoder.yudao.module.sale.service.offer.impl;

import cn.iocoder.yudao.module.sale.convert.offer.OfferProdConvert;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdCreateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdExportReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdPageReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdUpdateReqVO;
import cn.iocoder.yudao.module.sale.service.offer.OfferProdService;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;

import java.util.*;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.module.sale.dal.dataobject.offer.OfferProdDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.sale.dal.mysql.offer.OfferProdMapper;

import static cn.iocoder.yudao.framework.common.exception.util.ServiceExceptionUtil.exception;

/**
 * 报价商品详情 Service 实现类
 *
 * @author 系统管理员
 */
@Service
@Validated
public class OfferProdServiceImpl extends AbstractService<OfferProdMapper, OfferProdDO> implements OfferProdService {

    @Resource
    private OfferProdMapper offerProdMapper;

    @Override
    public Long createOfferProd(OfferProdCreateReqVO createReqVO) {
        // 插入
        OfferProdDO offerProd = OfferProdConvert.INSTANCE.convert(createReqVO);
        offerProdMapper.insert(offerProd);
        // 返回
        return offerProd.getOfferProdId();
    }

    @Override
    public void updateOfferProd(OfferProdUpdateReqVO updateReqVO) {
        // 校验存在
//        this.validateOfferProdExists(updateReqVO.getOfferProdId());
        // 更新
        OfferProdDO updateObj = OfferProdConvert.INSTANCE.convert(updateReqVO);
        offerProdMapper.updateById(updateObj);
    }

    @Override
    public void deleteOfferProd(Long id) {
        // 校验存在
//        this.validateOfferProdExists(id);
        // 删除
        offerProdMapper.deleteById(id);
    }

//    private void validateOfferProdExists(Long id) {
//        if (offerProdMapper.selectById(id) == null) {
//            throw exception(OFFER_PROD_NOT_EXISTS);
//        }
//    }

    @Override
    public OfferProdDO getOfferProd(Long id) {
        return offerProdMapper.selectById(id);
    }

    @Override
    public List<OfferProdDO> getOfferProdList(Collection<Long> ids) {
        return offerProdMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<OfferProdDO> getOfferProdPage(OfferProdPageReqVO pageReqVO) {
        return offerProdMapper.selectPage(pageReqVO);
    }

    @Override
    public List<OfferProdDO> getOfferProdList(OfferProdExportReqVO exportReqVO) {
        return offerProdMapper.selectList(exportReqVO);
    }

}
