package cn.iocoder.yudao.module.sale.service.offerApproval;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.sale.vo.offerApproval.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.offerApproval.OfferApprovalDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 报价单审核详情 Service 接口
 *
 * @author 系统管理员
 */
public interface OfferApprovalService extends IService<OfferApprovalDO> {

    /**
     * 创建报价单审核详情
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOfferApproval(@Valid OfferApprovalCreateReqVO createReqVO);

    /**
     * 更新报价单审核详情
     * @param updateReqVO 更新信息
     */
    void updateOfferApproval(@Valid OfferApprovalUpdateReqVO updateReqVO);

    /**
     * 删除报价单审核详情
     * @param id 编号
     */
    void deleteOfferApproval(Long id);

    /**
     * 获得报价单审核详情
     * @param id 编号
     * @return 报价单审核详情
     */
    OfferApprovalDO getOfferApproval(Long id);

    /**
     * 获得报价单审核详情列表
     * @param ids 编号
     * @return 报价单审核详情列表
     */
    List<OfferApprovalDO> getOfferApprovalList(Collection<Long> ids);

    /**
     * 获得报价单审核详情分页
     * @param page 分页查询
     * @param query 查询
     * @return 报价单审核详情分页
     */
    PageResult<OfferApprovalDO> getOfferApprovalPage(OfferApprovalQueryVO query, PageVO page);

    /**
     * 获得报价单审核详情列表, 用于 Excel 导出
     * @param query 查询
     * @return 报价单审核详情列表
     */
    List<OfferApprovalDO> getOfferApprovalList(OfferApprovalQueryVO query);
}
