package cn.iocoder.yudao.module.sale.service.offerApproval;

import java.util.*;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.framework.mybatis.core.service.AbstractService;
import cn.iocoder.yudao.module.sale.vo.offerApproval.*;
import cn.iocoder.yudao.module.sale.dal.dataobject.offerApproval.OfferApprovalDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.sale.convert.offerApproval.OfferApprovalConvert;
import cn.iocoder.yudao.module.sale.dal.mysql.offerApproval.OfferApprovalMapper;
import static cn.iocoder.yudao.framework.common.exception.util.ServiceExceptionUtil.exception;

/**
 * 报价单审核详情 Service 实现类
 *
 * @author 系统管理员
 */
@Service
@Validated
public class OfferApprovalServiceImpl extends AbstractService<OfferApprovalMapper, OfferApprovalDO> implements OfferApprovalService {

    @Resource
    private OfferApprovalMapper offerApprovalMapper;

    @Override
    public Long createOfferApproval(OfferApprovalCreateReqVO createReqVO) {
        // 插入
        OfferApprovalDO offerApproval = OfferApprovalConvert.INSTANCE.convert(createReqVO);
        offerApprovalMapper.insert(offerApproval);
        // 返回
        return offerApproval.getOfferApprovalId();
    }

    @Override
    public void updateOfferApproval(OfferApprovalUpdateReqVO updateReqVO) {
        // 校验存在
        // 更新
        OfferApprovalDO updateObj = OfferApprovalConvert.INSTANCE.convert(updateReqVO);
        offerApprovalMapper.updateById(updateObj);
    }

    @Override
    public void deleteOfferApproval(Long id) {
        // 校验存在
        // 删除
        offerApprovalMapper.deleteById(id);
    }


    @Override
    public OfferApprovalDO getOfferApproval(Long id) {
        return offerApprovalMapper.selectById(id);
    }

    @Override
    public List<OfferApprovalDO> getOfferApprovalList(Collection<Long> ids) {
        return offerApprovalMapper.selectBatchIds(ids);
    }

    @Override
    public PageResult<OfferApprovalDO> getOfferApprovalPage(OfferApprovalQueryVO query, PageVO page) {
        return offerApprovalMapper.selectPage(page, query);
    }

    @Override
    public List<OfferApprovalDO> getOfferApprovalList(OfferApprovalQueryVO query) {
        return offerApprovalMapper.selectList(query);
    }
}
