package cn.iocoder.yudao.module.sale.vo.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel("管理后台 - 渠道费用调价 Request VO")
@Data
@ToString(callSuper = true)
public class ChannelCostUpdateReqVO {

    @ApiModelProperty(value = "渠道ID", required = true)
    @NotNull(message = "渠道ID不能为空")
    private Long channelId;

    @ApiModelProperty(value = "需要调整的清关单价(正数上调、负数下调)")
    private BigDecimal modifyCustomsClearUnit;

    @ApiModelProperty(value = "每0.5kg清关单价")
    private BigDecimal weightUnitPrice;

}
