package cn.iocoder.yudao.module.sale.vo.channel;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 渠道管理 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class ChannelExcelVO {

    @ExcelProperty("渠道ID")
    private Long channelId;

    @ExcelProperty("名称-中文")
    private String nameZh;

    @ExcelProperty("名称-英文")
    private String nameEn;

    @ExcelProperty("内部名称-中文")
    private String internalNameZh;

    @ExcelProperty("内部名称-英文")
    private String internalNameEn;

    @ExcelProperty("类型编码")
    private String typeNumber;

    @ExcelProperty(value = "简写编码")
    private String code;

    @ExcelProperty(value = "国家id")
    private Long countryId;

    @ExcelProperty("仓库ID字符串")
    private String warehouseIds;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("快递ID")
    private String expressId;

    @ExcelProperty("预计到达时间(天)")
    private Integer etaTime;

    @ExcelProperty("渠道代理")
    private String channelAgent;

    @ExcelProperty("备注-中文")
    private String remarksZh;

    @ExcelProperty("备注-英文")
    private String remarksEn;

    @ExcelProperty(value = "清关单价")
    private BigDecimal customsClearUnit;

    @ExcelProperty(value = "每0.5kg清关单价")
    private BigDecimal weightUnitPrice;

    @ExcelProperty("状态(0:禁用 1:启用)")
    private Boolean status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
