package cn.iocoder.yudao.module.sale.vo.channel;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel("管理后台 - 渠道管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ChannelPageReqVO extends PageParam {

    @ApiModelProperty(value = "名称-中文")
    private String nameZh;

    @ApiModelProperty(value = "名称-英文")
    private String nameEn;

    @ApiModelProperty(value = "内部名称-中文")
    private String internalNameZh;

    @ApiModelProperty(value = "内部名称-英文")
    private String internalNameEn;

    @ApiModelProperty(value = "类型编码")
    private String typeNumber;

    @ApiModelProperty(value = "简写编码")
    private String code;

    @ApiModelProperty(value = "国家id")
    private Long countryId;

    @ApiModelProperty(value = "仓库ID字符串")
    private String warehouseIds;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "快递ID")
    private String expressId;

    @ApiModelProperty(value = "开始预计到达时间(天)")
    private Integer beginEtaTime;

    @ApiModelProperty(value = "结束预计到达时间(天)")
    private Integer endEtaTime;

    @ApiModelProperty(value = "预计时间(天)")
    private Integer etaTime;

    @ApiModelProperty(value = "渠道代理")
    private String channelAgent;

    @ApiModelProperty(value = "备注-中文")
    private String remarksZh;

    @ApiModelProperty(value = "备注-英文")
    private String remarksEn;

    @ApiModelProperty(value = "清关单价")
    private BigDecimal customsClearUnit;

    @ApiModelProperty(value = "每0.5kg清关单价")
    private BigDecimal weightUnitPrice;

    @ApiModelProperty(value = "状态(0:禁用 1:启用)")
    private Boolean status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    private Integer lang;
}
