package cn.iocoder.yudao.module.sale.vo.channelPackaging;

import cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance.ChannelPriceStepClearanceBackVO;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 渠道清关费包装类型 Response VO
 *
 * @author yanghao
 */
@Data
@ApiModel("管理后台 - 渠道清关费包装类型 Response VO")
public class ChannelPackagingBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("渠道ID")
    @ApiModelProperty(value = "渠道ID", required = true)
    private Long channelId;

    @ExcelProperty("包装类型 eg:1,2,3")
    @ApiModelProperty(value = "包装类型 eg:1,2,3")
    private String packagingTypes;

    @ExcelProperty("空运重量上限")
    @ApiModelProperty(value = "空运重量上限")
    private java.math.BigDecimal airWeightLimit;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;


    @ApiModelProperty(value = "清关费阶梯价格列表")
    private List<ChannelPriceStepClearanceBackVO> channelPriceStepClearanceList;

}
