package cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 渠道清关费阶梯价格 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 渠道清关费阶梯价格 Response VO")
public class ChannelPriceStepClearanceBackVO {

    @ExcelProperty("主键")
    @ApiModelProperty(value = "主键", required = true)
    private Long id;

    @ExcelProperty("渠道ID")
    @ApiModelProperty(value = "渠道ID", required = true)
    private Long channelId;

    @ExcelProperty("包装类型ID")
    @ApiModelProperty(value = "包装类型ID", required = true)
    private Long packagingId;

    @ExcelProperty("起始数量")
    @ApiModelProperty(value = "起始数量", required = true)
    private java.math.BigDecimal startNum;

    @ExcelProperty("结束数量")
    @ApiModelProperty(value = "结束数量")
    private java.math.BigDecimal endNum;

    @ExcelProperty("数量单位")
    @ApiModelProperty(value = "数量单位")
    private Long weightUnit;

    @ExcelProperty("清关费用")
    @ApiModelProperty(value = "清关费用")
    private java.math.BigDecimal clearancePrice;

    @ExcelProperty("清关金额单位")
    @ApiModelProperty(value = "清关金额单位")
    private Long clearancePriceUnit;

    @ExcelProperty("清关体积单位")
    @ApiModelProperty(value = "清关体积单位")
    private Long clearanceVolumeUnit;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
