package cn.iocoder.yudao.module.sale.vo.channelPriceStepClearance;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 渠道清关费阶梯价格查询 VO")
public class ChannelPriceStepClearanceQueryVO {

    @ExcelProperty("渠道ID")
    @ApiModelProperty(value = "渠道ID", required = true)
    private Long channelId;

    @ExcelProperty("包装类型ID")
    @ApiModelProperty(value = "包装类型ID", required = true)
    private Long packagingId;

    @ApiModelProperty(value = "起始数量")
    private java.math.BigDecimal startNum;

    @ApiModelProperty(value = "结束数量")
    private java.math.BigDecimal endNum;

    @ApiModelProperty(value = "数量单位")
    private Long weightUnit;

    @ApiModelProperty(value = "清关费用")
    private java.math.BigDecimal clearancePrice;

    @ApiModelProperty(value = "清关金额单位")
    private Long clearancePriceUnit;

    @ApiModelProperty(value = "清关体积单位")
    private Long clearanceVolumeUnit;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
