package cn.iocoder.yudao.module.sale.vo.deptTarget;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 部门业绩目标设置 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 部门业绩目标设置 Response VO")
public class DeptTargetBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("部门ID")
    @ApiModelProperty(value = "部门ID", required = true)
    private Long deptId;

    @ExcelProperty("目标类型")
    @ApiModelProperty(value = "目标类型", required = true)
    private Long targetType;

    @ExcelProperty("目标周期名称")
    @ApiModelProperty(value = "目标周期名称")
    private String targetPeriodName;

    @ExcelProperty("目标开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "目标开始时间")
    private Date startTime;

    @ExcelProperty("目标结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "目标结束时间")
    private Date endTime;

    @ExcelProperty("运输方式")
    @ApiModelProperty(value = "运输方式")
    private Long transportType;

    @ExcelProperty("出货渠道")
    @ApiModelProperty(value = "出货渠道")
    private Long shippingChannel;

    @ExcelProperty("目标值")
    @ApiModelProperty(value = "目标值", required = true)
    private BigDecimal cubeNum;

    @ExcelProperty("目标单位")
    @ApiModelProperty(value = "目标单位", required = true)
    private Long cubeUnit;

    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "部门人数")
    private Long deptEmpCount;

    @ApiModelProperty(value = "已完成方数")
    private BigDecimal completeCubeNum;
}
