package cn.iocoder.yudao.module.sale.vo.deptTarget;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 部门业绩目标设置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DeptTargetBaseVO {

    @ApiModelProperty(value = "部门ID", required = true)
    @NotNull(message = "部门ID不能为空")
    private Long deptId;

    @ApiModelProperty(value = "目标类型", required = true)
    @NotNull(message = "目标类型不能为空")
    private Long targetType;

    @ApiModelProperty(value = "目标周期名称")
    private String targetPeriodName;

    @ApiModelProperty(value = "目标开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date startTime;

    @ApiModelProperty(value = "目标结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date endTime;

    @ApiModelProperty(value = "运输方式")
    private Long transportType;

    @ApiModelProperty(value = "出货渠道")
    private Long shippingChannel;

    @ApiModelProperty(value = "目标值", required = true)
    @NotNull(message = "目标值为空")
    private Long cubeNum;

    @ApiModelProperty(value = "目标单位", required = true)
    @NotNull(message = "目标单位为空")
    private Long cubeUnit;

}
