package cn.iocoder.yudao.module.sale.vo.deptTarget;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 部门业绩目标设置查询 VO")
public class DeptTargetQueryVO extends PageParam {

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "部门ID")
    private Long deptId;

    @ApiModelProperty(value = "目标类型")
    private Long targetType;

    @ApiModelProperty(value = "目标周期名称")
    private String targetPeriodName;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始目标开始时间")
    private Date beginStartTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束目标开始时间")
    private Date endStartTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始目标结束时间")
    private Date beginEndTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束目标结束时间")
    private Date endEndTime;

    @ApiModelProperty(value = "运输方式")
    private Long transportType;

    @ApiModelProperty(value = "出货渠道")
    private Long shippingChannel;

    @ApiModelProperty(value = "立方数")
    private Long cubeNum;

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "资源类型")
    private Integer customerType;

    @ApiModelProperty(value = "唛头")
    private String marks;

    @ApiModelProperty(value = "关键字")
    private String key;

    private List userIds;

    /**
     * 用于判断是我的还是全部（包括业绩和部门目标）
     * */
    private String flag;

    private List deptIds;

    @ApiModelProperty(value = "报价单号")
    private String number;

    @ApiModelProperty(value = "客户名称")
    private String name;

    @ApiModelProperty(value = "联系电话")
    private String phoneNew;

    @ApiModelProperty(value = "客户经理id")
    private Long userId;

    @ApiModelProperty(value = "始发仓id")
    private Long startWarehouseId;

    @ApiModelProperty(value = "目的仓ids")
    private String destWarehouseIds;

    private List destWarehouseIdList;

    @ApiModelProperty(value = "业绩类型（1、新客户，0、旧客户）")
    private Integer achieveType;

}
