package cn.iocoder.yudao.module.sale.vo.offer;

import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdCreateReqVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "计算报价单费用清单参数")
public class CalculationFeeParamVO {

    @ApiModelProperty(value = "佣金类型：0 无 1 明佣 2 暗佣 3 明+暗")
    private Integer commissionType;

    @ApiModelProperty(value = "报关类别：我司全代：1，自单代报：2，混合报关：3")
    private Integer customsType;

    @ApiModelProperty(value = "始发地")
    private Long departureId;

    @ApiModelProperty(value = "目的地")
    private Long objectiveId;


    @ApiModelProperty(value = "运输ids(逗号拼接)")
    private String transportIds;


    @ApiModelProperty(value = "报价关联客户id")
    private Long relationId;

    @ApiModelProperty(value = "商品列表")
    @NotNull(message = "商品列表不能为空")
    @NotEmpty(message = "商品列表不能为空")
    private List<OfferProdCreateReqVO> prodCreateReqVOList;
}
