package cn.iocoder.yudao.module.sale.vo.offer;

import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdCreateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportCreateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 报价单管理创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OfferCreateReqVO extends OfferBaseVO {

    @ApiModelProperty(value = "运输相关信息")
    @NotNull(message = "运输相关信息不能为空")
    private OfferTransportCreateReqVO transportVO;

    @ApiModelProperty(value = "报价单商品列表")
    @NotNull(message = "报价单商品列表不能为空")
    @NotEmpty(message = "报价单商品列表不能为空")
    private List<OfferProdCreateReqVO> prodCreateReqVOList;

}
