package cn.iocoder.yudao.module.sale.vo.offer;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
public class OfferSpecialApplyVO {

    @ApiModelProperty(value = "报价单ID", required = true)
    @NotNull(message = "报价单ID不能为空")
    private Long offerId;

    @ApiModelProperty(value = "报价单商品ID", required = true)
    @NotNull(message = "报价单商品ID不能为空")
    private Long offerProdId;

    @ApiModelProperty(value = "类型：1 特价优惠 2 管理折扣 3 佣金申请")
    private Integer type;


    @ApiModelProperty(value = "原运费")
    private BigDecimal orgSeaFreight = BigDecimal.ZERO;

    @ApiModelProperty(value = "运费用金额单位ID")
    private Long orgSeaFreightCurrency = 1L;

    @ApiModelProperty(value = "运费体积单位")
    private Long orgSeaFreightVolume = 7L;

    @ApiModelProperty(value = "原清关费")
    private BigDecimal orgClearanceFreight = BigDecimal.ZERO;

    @ApiModelProperty(value = "原清关费用金额单位ID")
    private Long orgClearanceFreightCurrency = 1L;

    @ApiModelProperty(value = "原清关费体积单位")
    private Long orgClearanceFreightVolume = 7L;

    @ApiModelProperty(value = "小计运费")
    private BigDecimal subtotalFreight = BigDecimal.ZERO;

    @ApiModelProperty(value = "运费")
    @NotNull(message = "运费不能为空")
    private BigDecimal seaFreight;

    @ApiModelProperty(value = "运费用金额单位ID")
    @NotNull(message = "运费用金额单位ID不能为空")
    private Long seaFreightCurrency = 1L;

    @ApiModelProperty(value = "运费体积单位ID")
    @NotNull(message = "运费体积单位ID不能为空")
    private Long seaFreightVolume = 7L;

    @ApiModelProperty(value = "小计清关费")
    private BigDecimal subtotalClearanceFreight = BigDecimal.ZERO;

    @ApiModelProperty(value = "清关费")
//    @NotNull(message = "清关费不能为空")
    private BigDecimal clearanceFreight = BigDecimal.ZERO;

    @ApiModelProperty(value = "清关费用金额单位ID")
//    @NotNull(message = "清关费用金额单位ID不能为空")
    private Long clearanceFreightCurrency = 1L;

    @ApiModelProperty(value = "清关费体积单位ID")
//    @NotNull(message = "清关费体积单位ID不能为空")
    private Long clearanceFreightVolume = 7L;

    @ApiModelProperty(value = "是否预付：0 到付 1 预付")
    private Integer isPayAdvance;

    @ApiModelProperty(value = "计费方式：0 运费/清关费 1 全包价")
    private Integer charging;

    @ApiModelProperty(value = "佣金ID")
    private Long commissionId;


    @ApiModelProperty(value = "原佣金类型：0 无 1 明佣 2 暗佣 3 明佣+暗佣")
    private Integer orgCommissionType = 0;

    @ApiModelProperty(value = "原明佣金额(货币、单位必须一致,线路产品单价既是成本价，佣金加单价就时销售价格)")
    private BigDecimal orgLightCommissionAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "原暗佣金额")
    private BigDecimal orgShadeCommissionAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "佣金类型：0 无 1 明佣 2 暗佣 3 明佣+暗佣")
    private Integer commissionType = 0;

    @ApiModelProperty(value = "明佣金额(货币、单位必须一致,线路产品单价既是成本价，佣金加单价就时销售价格)")
    private BigDecimal lightCommissionAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "暗佣金额")
    private BigDecimal shadeCommissionAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "审批状态: 1 审批中  2 审批通过 3 审批拒绝 4 取消")
    private Integer applyStatus = 0;

    @ApiModelProperty(value = "审批结果")
    private String applyResult;

    @ApiModelProperty(value = "抄送人(id逗号拼接)")
    private String ccIds;

}


