package cn.iocoder.yudao.module.sale.vo.offer;

import cn.iocoder.yudao.module.sale.vo.offer.prod.OfferProdUpdateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportCreateReqVO;
import cn.iocoder.yudao.module.sale.vo.offer.transport.OfferTransportUpdateReqVO;
import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import java.util.List;

@ApiModel("管理后台 - 报价单管理更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OfferUpdateReqVO extends OfferBaseVO {

    @ApiModelProperty(value = "主键ID", required = true)
    @NotNull(message = "主键ID不能为空")
    private Long offerId;

    @ApiModelProperty(value = "运输相关信息")
    @NotNull(message = "运输相关信息不能为空")
    private OfferTransportCreateReqVO transportVO;

    @ApiModelProperty(value = "报价单商品列表")
    @NotNull(message = "报价单商品列表不能为空")
    @NotEmpty(message = "报价单商品列表不能为空")
    List<OfferProdUpdateReqVO> prodUpdateReqVOList;

}
