package cn.iocoder.yudao.module.sale.vo.offer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel("订单关联报价单查询参数")
public class OrderAssociationOfferQueryVO {

    @ApiModelProperty(value = "发货人客户联系人id(注：有发货人客户联系人id时，须传此参数)")
    private Long consignorId;

    @ApiModelProperty(value = "发货人客户联系人区号(注：没有发货人客户联系人id时，须传此参数)")
    private String consignorCode;

    @ApiModelProperty(value = "发货人客户联系人手机号(注：没有发货人客户联系人id时，须传此参数)")
    private String consignorPhone;

    @ApiModelProperty(value = "收货人客户联系人id(注：有收货人客户联系人id时，须传此参数)")
    private Long consigneeId;

    @ApiModelProperty(value = "发货人客户联系人区号(注：没有收货人客户联系人id时，须传此参数)")
    private String consigneeCode;

    @ApiModelProperty(value = "发货人客户联系人手机号(注：没有收货人客户联系人id时，须传此参数)")
    private String consigneePhone;


    @ApiModelProperty(value = "线路ID", required = true)
    @NotNull(message = "线路ID不能为空")
    private Long lineId;

    @ApiModelProperty(value = "线路ID集合(不区分始发仓时，需要根据目的仓获取目的仓一致的所有线路，前端不需要传此参数)")
    private List<Long> lineIds;

    @ApiModelProperty(value = "渠道ID")
    private Long channelId;

    @ApiModelProperty(value = "1 客户端 2 管理端 (后台业务使用，前端忽略此参数)")
    private Integer userType;

}
