package cn.iocoder.yudao.module.sale.vo.offer;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class ProdFeeListVO {


    @ApiModelProperty(value = "运输id", required = true)
    @NotNull(message = "运输id不能为空")
    private Integer transportId;

    @ApiModelProperty(value = "线路id", required = true)
    @NotNull(message = "线路id不能为空")
    private Long lineId;

    @ApiModelProperty(value = "渠道id")
    private Long channelId;

    @ApiModelProperty(value = "运费")
    private BigDecimal seaFreight = BigDecimal.ZERO;

    @ApiModelProperty(value = "运费用金额单位ID")
    private Long seaFreightCurrency;

    @ApiModelProperty(value = "运费体积单位")
    private Integer seaFreightVolume;

    @ApiModelProperty(value = "清关费")
    private BigDecimal clearanceFreight;

    @ApiModelProperty(value = "清关费用金额单位ID")
    private Long clearanceFreightCurrency;

    @ApiModelProperty(value = "清关费体积单位")
    private Integer clearanceFreightVolume;

    @ApiModelProperty(value = "预计销售额")
    private BigDecimal estimatedSales;
}
