package cn.iocoder.yudao.module.sale.vo.offer.log;

import cn.iocoder.yudao.module.sale.vo.offer.OfferRespVO;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;
import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 报价单跟进日志 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 报价单跟进日志 Response VO")
public class OfferLogBackVO extends OfferRespVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long offerLogId;

    @ExcelProperty("报价单ID")
    @ApiModelProperty(value = "报价单ID", required = true)
    private Long offerId;

    @ExcelProperty("报价单号")
    @ApiModelProperty(value = "报价单号", required = true)
    private String number;

    @ExcelProperty("跟进类型：1 操作日志 2 商务洽谈")
    @ApiModelProperty(value = "跟进类型：1 操作日志 2 商务洽谈")
    private Integer type;

    @ExcelProperty("客户ID")
    @ApiModelProperty(value = "客户ID")
    private Long customerId;


    @ExcelProperty("跟进时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "跟进时间")
    private Date followUpTime;

    @ExcelProperty("跟进业务员")
    @ApiModelProperty(value = "跟进业务员")
    private String followUpSalesmanId;

    @ExcelProperty("跟进业务员名称")
    @ApiModelProperty(value = "跟进业务员名称")
    private String followUpSalesmanName;

    @ExcelProperty("联系人")
    @ApiModelProperty(value = "联系人")
    private String contacts;

    @ExcelProperty("联系人姓名")
    @ApiModelProperty(value = "联系人姓名")
    private String contactName;

    @ExcelProperty("跟进方式(1：新建报价 2 修改报价 3特价申请 4电话 5网络 6报价结束 )")
    @ApiModelProperty(value = "跟进方式(1：新建报价 2 修改报价 3特价申请 4电话 5网络 6报价结束 )")
    private Integer followUpMethod;

    @ExcelProperty("客户反馈")
    @ApiModelProperty(value = "客户反馈")
    private String customerFeedback;

    @ExcelProperty("处理结果")
    @ApiModelProperty(value = "处理结果")
    private String processingResults;

    @ExcelProperty("创建时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
