package cn.iocoder.yudao.module.sale.vo.offer.log;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 报价单跟进日志 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OfferLogBaseVO {

    @ApiModelProperty(value = "报价单ID", required = true)
    @NotNull(message = "报价单ID不能为空")
    private Long offerId;

    @ApiModelProperty(value = "报价单号", required = true)
    @NotNull(message = "报价单号不能为空")
    private String number;

    @ApiModelProperty(value = "跟进类型：1 操作日志 2 商务洽谈")
    private Integer type;

    @ApiModelProperty(value = "客户ID")
    private Long customerId;

    @ApiModelProperty(value = "跟进时间")
    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date followUpTime;

    @ApiModelProperty(value = "跟进业务员")
    private String followUpSalesmanId;

    @ApiModelProperty(value = "联系人")
    @NotBlank(message = "联系人不能为空")
    private String contacts;

    @ApiModelProperty(value = "跟进方式(1：新建报价 2 修改报价 3特价申请 4电话 5网络 6报价结束 )")
    private Integer followUpMethod;

    @ApiModelProperty(value = "客户反馈")
    private String customerFeedback;

    @ApiModelProperty(value = "处理结果")
    private String processingResults;

}
