package cn.iocoder.yudao.module.sale.vo.offer.log;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 报价单跟进日志查询 VO")
public class OfferLogQueryVO {

    @ApiModelProperty(value = "报价单ID")
//    @NotNull(message = "请选择查看的报价单")
    private Long offerId;

    @ApiModelProperty(value = "报价单号")
    private String number;

    @ApiModelProperty(value = "跟进类型：1 操作日志 2 商务洽谈")
    private Integer type;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始跟进时间")
    private Date beginFollowUpTime;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束跟进时间")
    private Date endFollowUpTime;

    @ApiModelProperty(value = "跟进业务员")
    private String followUpSalesmanId;

    @ApiModelProperty(value = "联系方式")
    private String contacts;

    @ApiModelProperty(value = "跟进方式(1：新建报价 2 修改报价 3特价申请 4电话 5网络 6报价结束 )")
    private Integer followUpMethod;

    @ApiModelProperty(value = "客户反馈")
    private String customerFeedback;

    @ApiModelProperty(value = "处理结果")
    private String processingResults;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @JsonFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "客户ID")
//    @NotNull(message = "请选择查看的报价单")
    private Long customerId;

    @ApiModelProperty(value = "语言")
//    @NotNull(message = "请选择查看的报价单")
    private Integer lang;
}
