package cn.iocoder.yudao.module.sale.vo.offer.transport;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 报价单运输方式 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OfferTransportBaseVO {

    @ApiModelProperty(value = "报价单ID", required = true)
    private Long offerId;

    @ApiModelProperty(value = "运输id", required = true)
    @NotNull(message = "运输id不能为空")
    private Integer transportId;

    @ApiModelProperty(value = "线路ids(多个线路ID逗号拼接)", required = true)
    @NotNull(message = "线路ids(多个线路ID逗号拼接)不能为空")
    private String lineIds;

    @ApiModelProperty(value = "渠道ids(多个渠道ID逗号拼接)")
    private String channelIds;

    @ApiModelProperty(value = "是否双清：1 客户自清 2 我司双清")
    private Integer doubleClear;

    @ApiModelProperty(value = "航空公司id")
    private Long airlineCompany;

    @ApiModelProperty(value = "船公司id")
    private Long shippingCompany;

    @ApiModelProperty(value = "清关证书：0 否 1 是")
    private Boolean customsClearCert;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "出单方式：1 电放 2 正本")
    private Integer issuingMethod;

    @ApiModelProperty(value = "是否拆包：0 否 1 是")
    private Boolean isUnpack;

    @ApiModelProperty(value = "是否单票立刻转运：0 否 1 是")
    private Boolean isSingleTicketTransport;

    @ApiModelProperty(value = "包装类型ids")
    private String packageType;

    @ApiModelProperty(value = "包装备注")
    private String packageRemarks;

}
