package cn.iocoder.yudao.module.sale.vo.offer.transport;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 报价单运输方式 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class OfferTransportExcelVO {

    @ExcelProperty("主键ID")
    private Long offerTransportId;

    @ExcelProperty("报价单ID")
    private Long offerId;

    @ExcelProperty("运输id")
    private Long transportId;

    @ExcelProperty("线路ids(多个线路ID逗号拼接)")
    private String lineIds;

    @ExcelProperty("渠道ids(多个渠道ID逗号拼接)")
    private String channelIds;

    @ExcelProperty("是否双清：1 客户自清 2 我司双清")
    private Integer doubleClear;

    @ExcelProperty("航空公司id")
    private Long airlineCompany;

    @ExcelProperty(value = "船公司id")
    private Long shippingCompany;

    @ExcelProperty("清关证书：0 否 1 是")
    private Boolean customsClearCert;

    @ExcelProperty("备注")
    private String remarks;

    @ExcelProperty("出单方式：1 电放 2 正本")
    private Integer issuingMethod;

    @ExcelProperty("是否拆包：0 否 1 是")
    private Boolean isUnpack;

    @ExcelProperty("是否单票立刻转运：0 否 1 是")
    private Boolean isSingleTicketTransport;

    @ExcelProperty("包装类型ids")
    private String packageType;

    @ExcelProperty(value = "包装备注")
    private String packageRemarks;
}
