package cn.iocoder.yudao.module.sale.vo.offerApproval;

import cn.iocoder.yudao.module.sale.vo.offer.OfferSpecialApplyVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 报价单审核详情 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 报价单审核详情 Response VO")
public class OfferApprovalBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long offerApprovalId;

    @ExcelProperty("报价单ID")
    @ApiModelProperty(value = "报价单ID", required = true)
    private Long offerId;

    @ExcelProperty("报价商品ID")
    @ApiModelProperty(value = "报价商品ID", required = true)
    private Long offerProdId;

    @ExcelProperty("流程表单实例ID")
    @ApiModelProperty(value = "流程表单实例ID")
    private String formId;

    @ExcelProperty("类型：1 特价优惠 2 佣金申请")
    @ApiModelProperty(value = "类型：1 特价优惠 2 佣金申请")
    private Integer type;

    @ExcelProperty("跟进业务员")
    @ApiModelProperty(value = "跟进业务员")
    private String followUpSalesmanId;

    @ExcelProperty("审核内容详情")
    @ApiModelProperty(value = "审核内容详情")
    private String details;

    @ExcelProperty("状态：1 处理中 2 通过 3 不通过 4 取消")
    @ApiModelProperty(value = "状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer status;

    @ExcelProperty("处理结果")
    @ApiModelProperty(value = "处理结果")
    private String processingResults;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ExcelProperty("结束人")
    @ApiModelProperty(value = "结束人")
    private String finishBy;

    @ExcelProperty("结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束时间")
    private Date finishTime;


    @ApiModelProperty(value = "商品ID", required = true)
    @NotNull(message = "商品ID不能为空")
    private Long prodId;

    @ApiModelProperty(value = "产品中文标题")
    private String prodTitleZh;

    @ApiModelProperty(value = "产品英文标题")
    private String prodTitleEn;

    @ApiModelProperty(value = "运输id", required = true)
    @NotNull(message = "运输id不能为空")
    private Integer transportId;

    @ApiModelProperty(value = "线路id", required = true)
    @NotNull(message = "线路id不能为空")
    private Long lineId;

    @ApiModelProperty(value = "渠道id")
    private Long channelId;

    @ApiModelProperty(value = "产品类型")
    private Integer productType;

    @ApiModelProperty("特价申请-审批业务详情")
    private OfferSpecialApplyVO offerSpecialApplyVO;

}
