package cn.iocoder.yudao.module.sale.vo.offerApproval;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 报价单审核详情 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OfferApprovalBaseVO {

    @ApiModelProperty(value = "报价单ID", required = true)
    @NotNull(message = "报价单ID不能为空")
    private Long offerId;

    @ApiModelProperty(value = "报价商品ID", required = true)
    @NotNull(message = "报价商品ID不能为空")
    private Long offerProdId;

    @ApiModelProperty(value = "流程表单实例ID")
    private String formId;

    @ApiModelProperty(value = "类型：1 特价优惠 2 佣金申请")
    private Integer type;

    @ApiModelProperty(value = "跟进业务员")
    private String followUpSalesmanId;

    @ApiModelProperty(value = "审核内容详情")
    private String details;

    @ApiModelProperty(value = "状态：1 处理中 2 通过 3 不通过 4 取消")
    private Integer status;

    @ApiModelProperty(value = "处理结果")
    private String processingResults;

    @ApiModelProperty(value = "结束人")
    private String finishBy;

    @ApiModelProperty(value = "结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date finishTime;

}
